mia-2dmyoserial-nonrigid
Prev | Registration of series of 2D images | Next

### mia-2dmyoserial-nonrigid

#### Sysnopis:

`mia-2dmyoserial-nonrigid` {-i `string`} {-o `string`} [ `options` ...] [ `Plugin type: 2dimage/fullcost` ...]

#### Description:

This program runs the non-rigid motion compensation registration of an perfusion image series. The registration is run in a serial manner, this is, only images in temporal succession are registered, and the obtained transformations are applied accumulated to reach full registration. See:

Wollny, G., Ledesma-Carbayo, M.J., Kellman, P., Santos, A. "A New Similarity Measure for Non-Rigid Breathing Motion Compensation of Myocardial Perfusion MRI ". Proc 30th Annual International IEEE EMBS Conference, pp. 3389-3392. Vancouver, Aug. 2008.

#### Options:

#### File-IO

-i, --in-file=(input, required); string

  input perfusion data set

-o, --out-file=(output, required); string

  output perfusion data set

-R, --registered=reg; stringSTRING

  file name base for registered fiels

#### Registration

-O, --optimizer=gsl:opt=gd,step=0.1; factory

  Optimizer used for minimization. For supported plug-ins see Plugin type: minimizer/singlecost

-l, --mg-levels=3; ulong

  multi-resolution levels

-f, --transForm=spline:rate=16,penalty=[divcurl:weight=0.01]; factory

  transformation type. For supported plug-ins see Plugin type: 2dimage/transform

-r, --ref=-1; int

  reference frame (-1 == use image in the middle)

-k, --skip=0; int

  skip registration of these images at the beginning of the series

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Register the perfusion series given in 'segment.set' to reference image 30. Skip two images at the beginning and using mutual information as cost function, and penalize the transformation by divcurl with weight 5. Store the result in 'registered.set'.

    mia-2dmyoserial-nonrigid   -i segment.set -o registered.set -k 2  -r 30 image:cost=mi -f spline:rate=5,penalty=[divcurl:weight=5]

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dmyopgt-nonrigid | Home | mia-2dmyoset-all2one-nonrigid